API ReferenceConnections

/public/connections

Start a real-time connection

POST
/public/connections

Start a real-time connection

Header Parameters

X-API-Version?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/json

application/json

curl -X POST "https://companion-api.napster.com/public/connections" \  -H "Content-Type: application/json" \  -d '{    "companionId": "string",    "providerConfig": {}  }'
{
  "token": "string",
  "connection": {
    "id": "string"
  }
}
[
  {
    "code": "string",
    "description": "string",
    "type": "failure",
    "numericType": 0
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}